summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2019-12-03 15:52:17 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2019-12-03 22:32:35 -0500
commit998cf9e3c2549746052ac8e4410a893b125dad5a (patch)
tree09f85656f17fbcb290aabeabd6e36012902ba4ae
parenta35c13f49fac6e0836e22ea96882d400da634737 (diff)
[retroshare]: upgrade to v0.6.5
-rw-r--r--pcr/retroshare/PKGBUILD55
1 files changed, 34 insertions, 21 deletions
diff --git a/pcr/retroshare/PKGBUILD b/pcr/retroshare/PKGBUILD
index 856e2188e..f5e6901e7 100644
--- a/pcr/retroshare/PKGBUILD
+++ b/pcr/retroshare/PKGBUILD
@@ -4,31 +4,37 @@
# Contributor (AUR): Tristero <tristero at online dot de>
# Contributor (AUR): funkyou
-# parabola changes and rationale:
-# no changes.
-
# Set this to 'true' to build and install the plugins
-_plugin_feedreader=true
-_plugin_voip=true
+#_plugin_feedreader='true'
+#_plugin_voip='true' # currently broken!!!
+
+# Set this to 'true' to enable the new automatically generated jsaon api
+#_jsonapi='true'
# Set this to 'true' to enable auto login
#_autologin='true'
+# Set this to 'true' to enable wiki functionality (experimental)
+#_wiki='true'
+
# set this to 'true' to use clang for compiling (experimental)
#_clang='true'
# Unofficial plugins
#_plugin_lua4rs='true'
+# Set this to 'true' to use use archlinux' rapidjson instead of shipped version
+_systems_rapidjson='true'
+
### Nothing to be changed below this line ###
pkgname=retroshare
-pkgver=0.6.3
+pkgver=0.6.5
pkgrel=1
pkgdesc="Serverless encrypted instant messenger with filesharing, chatgroups, e-mail."
arch=('i686' 'x86_64' 'armv7h')
-url="http://retroshare.sourceforge.net/"
-license=('GPL' 'LGPL')
+url='http://retroshare.cc/'
+license=('GPL2')
depends=('qt5-multimedia' 'qt5-x11extras' 'libupnp' 'libxss' 'libmicrohttpd' 'sqlcipher')
makedepends=('git' 'qt5-tools')
optdepends=('tor: tor hidden node support'
@@ -37,19 +43,27 @@ provides=("${pkgname}")
conflicts=("${pkgname}")
source=("https://github.com/RetroShare/RetroShare/archive/v${pkgver}.tar.gz")
-sha256sums=('ddb64aa5148fdc950d4426f52f1cbb11578619b1242614e3c4ca4792ee5ce30b')
+sha256sums=('901a1d1f282e04118fbe0e24190355b4a8f355a806cc5448738b1d691b46f5d5')
# Add missing dependencies if needed
[[ "$_plugin_voip" == 'true' ]] && depends=(${depends[@]} 'ffmpeg' 'opencv')
[[ "$_plugin_feedreader" == 'true' ]] && depends=(${depends[@]} 'curl' 'libxslt')
+[[ "$_jsonapi" == 'true' ]] && depends=(${depends[@]} 'restbed')
[[ "$_clang" == 'true' ]] && makedepends=(${makedepends[@]} 'clang')
-[[ "$_autologin" == 'true' ]] && depends=(${depends[@]} 'libgnome-keyring')
+[[ "$_autologin" == 'true' ]] && depends=(${depends[@]} 'libsecret')
+[[ "$_systems_rapidjson" == 'true' ]] && makedepends=(${makedepends[@]} 'rapidjson')
# Set options for qmake
+_optJsonapi=''
_optClang=''
_optAutol=''
+_optPlugin=''
+_optWiki=''
+[[ "$_jsonapi" == 'true' ]] && _optJsonapi='CONFIG+=rs_jsonapi'
[[ "$_clang" == 'true' ]] && _optClang='-spec linux-clang CONFIG+=c++11'
[[ "$_autologin" == 'true' ]] && _optAutol='CONFIG+=rs_autologin'
+([[ "$_plugin_voip" == 'true' ]] || [[ "$_plugin_feedreader" == 'true' ]] || [[ "$_plugin_lua4rs" == 'true' ]]) && _optPlugin='CONFIG+=retroshare_plugins'
+[[ "$_wiki" == 'true' ]] && _optWiki='CONFIG+=wikipoos'
# Handle unofficial plugins
if [[ "$_plugin_lua4rs" == 'true' ]] ; then
@@ -58,6 +72,12 @@ if [[ "$_plugin_lua4rs" == 'true' ]] ; then
sha256sums=(${sha256sums[@]} 'SKIP')
fi
+prepare() {
+ cd "${srcdir}/RetroShare-${pkgver}"
+
+ [[ "$_plugin_voip" == 'true' ]] && sed -i -e 's/PKGCONFIG += opencv/PKGCONFIG += opencv3/g' plugins/VOIP/VOIP.pro || true
+}
+
build() {
cd "${srcdir}/RetroShare-${pkgver}"
@@ -72,21 +92,14 @@ build() {
[[ "$_plugin_voip" != 'true' ]] && sed -i '/VOIP \\/d' plugins/plugins.pro
[[ "$_plugin_feedreader" != 'true' ]] && sed -i '/FeedReader/d' plugins/plugins.pro
- # call version scripts
- cd libretroshare/src
- LANG=C ./version_detail.sh
- cd ../..
-
- cd retroshare-gui/src
- LANG=C ./version_detail.sh
- cd ../..
-
qmake CONFIG-=debug CONFIG+=release \
- ${_optAutol} ${_optClang} \
+ ${_optJsonapi} ${_optAutol} ${_optClang} \
+ ${_optPlugin} ${_optWiki} \
QMAKE_CFLAGS_RELEASE="${CFLAGS}"\
QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}"\
RetroShare.pro
- make
+ # workaround
+ make || make
}
package() {